package com.engine.organization.wrapper;

import com.engine.common.util.ServiceUtil;
import com.engine.core.impl.Service;
import com.engine.organization.service.LevelService;
import com.engine.organization.service.impl.LevelServiceImpl;
import weaver.hrm.User;

import java.util.Map;

/**
 *
 * @description: TODO 
 * @author:dxfeng
 * @createTime: 2022/05/10
 * @version: 1.0
 */
public class LevelWrapper extends Service {
    private LevelService getLevelService(User user) {
        return ServiceUtil.getService(LevelServiceImpl.class, user);
    }

    /**
     * 等级方案列表
     *
     * @param params
     * @return
     */
    public Map<String, Object> listPage(Map<String, Object> params) {
        return getLevelService(user).listPage(params);
    }
}
